Summary:	Analyzes and Reports on system logs
Name:		logwatch
Version:	7.8
Release:	%mkrel 1
License:	MIT
Group:		Monitoring
URL:		https://sourceforge.net/projects/logwatch
Source:		https://sourceforge.net/projects/logwatch/files/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch0:		logwatch-fixpath.patch
BuildArch:	noarch

%description
Logwatch is a customizable, pluggable log-monitoring system.  It will go
through your logs for a given period of time and make a report in the areas
that you wish with the detail that you wish.  Easy to use - works right out
of the package on many systems.

%prep
%setup -q
%autopatch -p0

%build

%install
install -m 0755 -d %{buildroot}%{_sysconfdir}/log.d/conf/logfiles
install -m 0755 -d %{buildroot}%{_sysconfdir}/log.d/conf/services
install -m 0755 -d %{buildroot}%{_sysconfdir}/log.d/scripts/services
install -m 0755 -d %{buildroot}%{_sysconfdir}/log.d/scripts/shared
install -m 0755 -d %{buildroot}%{_sysconfdir}/log.d/lib

mkdir -p %{buildroot}/var/cache/%{name}

install -m 0755 scripts/logwatch.pl %{buildroot}%{_sysconfdir}/log.d/scripts/%{name}.pl
for i in scripts/logfiles/* ; do
   if [ $(ls $i | wc -l) -ne 0 ] ; then
      install -m 0755 -d %{buildroot}%{_sysconfdir}/log.d/$i
      install -m 0755 $i/* %{buildroot}%{_sysconfdir}/log.d/$i
   fi
done
install -m 0755 scripts/services/* %{buildroot}%{_sysconfdir}/log.d/scripts/services
install -m 0755 scripts/shared/* %{buildroot}%{_sysconfdir}/log.d/scripts/shared
install -m 0755 lib/* %{buildroot}%{_sysconfdir}/log.d/lib

install -m 0644 conf/*.conf %{buildroot}%{_sysconfdir}/log.d/conf
install -m 0644 conf/logfiles/* %{buildroot}%{_sysconfdir}/log.d/conf/logfiles
install -m 0644 conf/services/* %{buildroot}%{_sysconfdir}/log.d/conf/services

install -m 0644 -D logwatch.8 %{buildroot}%{_mandir}/man8/logwatch.8
install -m 0644 -D logwatch.conf.5 %{buildroot}%{_mandir}/man5/logwatch.conf.5

rm -f %{buildroot}%{_sysconfdir}/log.d/%{name} \
   %{buildroot}%{_sysconfdir}/log.d/%{name}.conf \
   %{buildroot}%{_sysconfdir}/cron.daily/%{name} \
   %{buildroot}%{_sbindir}/%{name}

ln -s scripts/logwatch.pl %{buildroot}%{_sysconfdir}/log.d/%{name}
ln -s conf/logwatch.conf %{buildroot}%{_sysconfdir}/log.d/%{name}.conf
install -m 0755 -d %{buildroot}%{_sysconfdir}/cron.daily
ln -s ../log.d/scripts/logwatch.pl %{buildroot}%{_sysconfdir}/cron.daily/0%{name}
install -m 0755 -d %{buildroot}%{_sbindir}
ln -s ../..%{_sysconfdir}/log.d/scripts/logwatch.pl %{buildroot}%{_sbindir}/%{name}

%files
%doc README LICENSE HOWTO-Customize-LogWatch
%dir %{_sysconfdir}/log.d
%dir %{_sysconfdir}/log.d/conf
%dir %{_sysconfdir}/log.d/scripts
%dir %{_sysconfdir}/log.d/conf/logfiles
%dir %{_sysconfdir}/log.d/conf/services
%dir %{_sysconfdir}/log.d/scripts/logfiles
%dir %{_sysconfdir}/log.d/scripts/services
%dir %{_sysconfdir}/log.d/scripts/shared
%dir %{_sysconfdir}/log.d/scripts/logfiles/*
%dir %{_sysconfdir}/log.d/lib
%dir /var/cache/%{name}
%config(noreplace) %{_sysconfdir}/log.d/conf/*.conf
%config(noreplace) %{_sysconfdir}/log.d/conf/services/*
%config(noreplace) %{_sysconfdir}/log.d/conf/logfiles/*
%{_sysconfdir}/log.d/scripts/%{name}.pl
%{_sbindir}/%{name}
%{_sysconfdir}/log.d/scripts/shared/*
%{_sysconfdir}/log.d/scripts/services/*
%{_sysconfdir}/log.d/scripts/logfiles/*/*
%{_sysconfdir}/log.d/%{name}
%{_sysconfdir}/log.d/lib/Logwatch.pm
%{_sysconfdir}/log.d/%{name}.conf
%{_sysconfdir}/cron.daily/0%{name}
%{_mandir}/man5/%{name}.conf.5*
%{_mandir}/man8/%{name}.8*


%changelog
* Fri Jan 27 2023 luigiwalser <luigiwalser> 7.8-1.mga9
+ Revision: 1936322
- 7.8

* Wed Aug 03 2022 luigiwalser <luigiwalser> 7.7-1.mga9
+ Revision: 1874803
- 7.7

* Mon Mar 21 2022 umeabot <umeabot> 7.6-2.mga9
+ Revision: 1815996
- Mageia 9 Mass Rebuild

* Thu Jan 27 2022 mrambo3501 <mrambo3501> 7.6-1.mga9
+ Revision: 1770061
- version 7.6

* Wed Jan 12 2022 mrambo3501 <mrambo3501> 7.5.6-1.mga9
+ Revision: 1768199
- version 7.5.6
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 7.4.3-3.mga8
+ Revision: 1501933
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 7.4.3-2.mga7
+ Revision: 1279208
- Mageia 7 Mass Rebuild

* Thu Sep 21 2017 guillomovitch <guillomovitch> 7.4.3-1.mga7
+ Revision: 1156938
- new version 7.4.3

* Thu Feb 04 2016 umeabot <umeabot> 7.4.0-7.mga6
+ Revision: 934423
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 7.4.0-6.mga5
+ Revision: 740208
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 7.4.0-5.mga5
+ Revision: 681991
- Mageia 5 Mass Rebuild

* Mon Aug 18 2014 remmy <remmy> 7.4.0-4.mga5
+ Revision: 665008
- Add patch for barracuda logs (mga#12271)

* Fri Oct 18 2013 umeabot <umeabot> 7.4.0-3.mga4
+ Revision: 507516
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 7.4.0-2.mga3
+ Revision: 358940
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 28 2011 ahmad <ahmad> 7.4.0-1.mga1
+ Revision: 78568
- update to 7.4.0
- install logwatch.conf man page
- use a url for Source
- update URL to current web site
- imported package logwatch


* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 7.3.6-4mdv2009.0
+ Revision: 251372
- rebuild

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 7.3.6-2mdv2008.1
+ Revision: 140932
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 7.3.6-2mdv2008.0
+ Revision: 70344
- fileutils, sh-utils & textutils have been obsoleted by coreutils a long time ago

* Thu Jul 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 7.3.6-1mdv2008.0
+ Revision: 55960
- new version


* Sat Jan 06 2007 Emmanuel Andry <eandry@mandriva.org> 7.3.2-1mdv2007.0
+ Revision: 104690
- New version 7.3.2

* Sun Dec 03 2006 Emmanuel Andry <eandry@mandriva.org> 7.3.1-1mdv2007.1
+ Revision: 90186
- New version 7.3.1
  bunzip2 patch
- Import logwatch

* Fri Jul 14 2006 Emmanuel Andry <eandry@mandriva.org> 7.3-3mdv2007.0
- oops ! Forgot /var/cache/logwatch directory creation

* Fri Jul 14 2006 Emmanuel Andry <eandry@mandriva.org> 7.3-2mdv2007.0
- diff patch0 to fix bug #23654 (thanks to Gerald Drouillard)

* Wed May 17 2006 Emmanuel Andry <eandry@mandriva.org> 7.3-1mdk
- 7.3
- bzip tarball
- mkrel

* Mon May 09 2005 Emmanuel Blindauer <blindauer@mandriva.org> 6.0.2-1mdk
- First mdv package.

* Thu Feb 24 2005 Kirk Bauer <kirk@kaybee.org> 6.0.1-1
- Now includes ignore.conf in the RPM

